"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parsePath = exports.cssExportsToJs = exports.codeWithSourceMap = void 0;
const codeWithSourceMap = (code, map) => {
    return code + '\n/* #sourceMappingURL=data:application/json;base64,' + Buffer.from(map).toString('base64') + '*/';
};
exports.codeWithSourceMap = codeWithSourceMap;
const cssExportsToJs = (exports, entryFile) => {
    const keys = Object.keys(exports).sort();
    const values = keys.map((key) => exports[key]);
    const exportCode = `export default ${JSON.stringify(Object.fromEntries(keys.map((key, index) => [key, values[index].name])))};`;
    if (entryFile) {
        return `import '${entryFile}';\n${exportCode}`;
    }
    return exportCode;
};
exports.cssExportsToJs = cssExportsToJs;
/**
 * 从路径中解析文件路径和 query
 */
const parsePath = (path) => {
    const queryIndex = path.indexOf('?');
    if (queryIndex === -1) {
        return { path: path, query: '' };
    }
    else {
        return {
            path: path.slice(0, queryIndex),
            query: path.slice(queryIndex + 1),
        };
    }
};
exports.parsePath = parsePath;
